<?php

/**
 * @package         Google Structured Data
 * @version         3.0 Free
 * 
 * @author          Tassos Marinos <info@tassos.gr>
 * @link            http://www.tassos.gr
 * @copyright       Copyright © 2017 Tassos Marinos All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

defined('_JEXEC') or die('Restricted access');

require_once JPATH_PLUGINS . '/system/nrframework/helpers/fieldlist.php';
require_once JPATH_ADMINISTRATOR . '/components/com_gsd/helpers/json.php';

class JFormFieldContentTypes extends NRFormFieldList
{
    /**
     * Method to get a list of options for a list input.
     *
     * @return      array           An array of JHtml options.
     */
    protected function getOptions()
    {
        $json     = new GSDJSON();
        $snippets = $json->contentTypes;

        asort($snippets);

        if ($this->get("showselect", 'false') === 'true')
        {
            $options[] = JHTML::_('select.option', '', '- ' . JText::_('GSD_CONTENT_TYPE_SELECT') . ' -');
        }

        foreach ($snippets as $snippet)
        {
            $options[] = JHTML::_('select.option', $snippet, JText::_('GSD_' . strtoupper($snippet)));
        }

        return array_merge(parent::getOptions(), $options);
    }
}